﻿@model eCommerce.UI.ViewModels.ShoppingCartViewModel
@using eCommerce.Services.Model.Enums

@*2.*@
<div class="checkout__step credit-card">
    <div class="checkout-step__content">
        <h3 class="checkout-step__title">2. Seleccioná una forma de pago</h3>
        <div class="border-bottom"></div>

        <ul class="checkout-step__options">

            @foreach (var item in Model.PaymentMethods)
            {
                <li id="PaymentMethodList_@item.PaymentMethodId" class="PaymentMethod">
                    <input id="PaymentMethod_@item.PaymentMethodId" class="step-option__radio js-step-radio js-payment-method" type="radio" name="PaymentMethod" value="@item.PaymentMethodId" data-decidir="true" />
                    <label for="PaymentMethod_@item.PaymentMethodId" id="payment-method-option_@item.PaymentMethodId" class="step-option">
                        <span class="step-option__name">@item.Name</span>
                        @if (item.Description != null)
                        {
                            <p class="step-option__description">@item.Description.</p>
                        }
                    </label>
                </li>
            }
        </ul>
    </div>
</div>


<!-- Modal QR-->
<button type="button" class="hide js-fibra-qr" data-toggle="modal" data-target="#modalQR"></button>
<div class="modal fade bd-example-modal-sm" id="modalQR" tabindex="-1" role="dialog" aria-labelledby="modalQR" aria-hidden="true" data-backdrop="">
    <div class="modal-dialog modal-qr" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">ESCANEA NUESTRO QR:</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body text-center">
                <img src="/content/images/PaymentMethods/FibraHumana-MP-QR.png" alt="FibraHumana - Mercado Pago - QR" />
            </div>
            <div class="modal-footer footer-qr" style="">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
                <button type="button" class="btn btn-primary" data-dismiss="modal">Listo!</button>
            </div>
        </div>
    </div>
</div>

<!-- Modal CUENTAS DE BANCO-->
<button type="button" class="hide js-fibra-banks-info" data-toggle="modal" data-target="#modalBankInfo"></button>
<div class="modal fade bd-example-modal-md" id="modalBankInfo" tabindex="-1" role="dialog" aria-labelledby="modalBankInfo" aria-hidden="true" data-backdrop="">
    <div class="modal-dialog modal-banks-info" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">DATOS BANCARIOS</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body text-center">

                <p>
                    <strong>BANCO FRANCES (FIBRA HUMANA S.R.L.)</strong><br />
                    Cuenta Corriente en Pesos: 8646/5 <br />
                    Sucursal 111<br />
                    CUIT 30-71408652-5<br />
                    CBU 01 70 11 17 20 00 00 00 86 46 57<br />
                </p>

                <p>
                    <strong>BANCO SANTANDER RIO (FIBRA HUMANA S.R.L)</strong><br />
                    Cuenta Corriente en Pesos: 208-007090/8 <br />
                    Sucursal 208 <br />
                    CUIT: 30-71408652-5 <br />
                    CBU 07 20 20 89 20 00 00 00 70 90 86 <br />
                </p>

            </div>
            <div class="modal-footer footer-qr" style="">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
                <button type="button" class="btn btn-primary" data-dismiss="modal">Listo!</button>
            </div>
        </div>
    </div>
</div>